﻿changequote([, ])

define(IMAGES, [images])

define([COLOR1], [rgb( 70,137,102)])
define([COLOR2], [rgb(255,240,165)])
define([COLOR3], [rgb(255,176, 59)])
define([COLOR4], [rgb(182, 73, 38)])
define([COLOR5], [rgb(142, 42,  0)])
define([COLOR6], [rgb(255,150, 59)])

define(BASE,          [COLOR3])
define(BACKGROUND,    [COLOR2])
define(DARK,          [black])
define(LINK,          [COLOR5])
define(LINK_HOVER_BG, [COLOR2])
define(LINK_NAV_BG,   [COLOR4])
define(RULE,          [COLOR5])
define(RULE_LIGHT,    [COLOR6])
define(LINK_PHANTOM,  [rgb(196,135,45)])

define(HEADER_HEIGHT, 40)
define(HEADER_VERTICAL_PADDING, 15)
define(LEFT_COLUMN_WIDTH, 260)
define(RIGHT_COLUMN_WIDTH, 600)
define(COLUMN_SEP, 20)

define(TOTAL_HEADER_HEIGHT, 
  eval(HEADER_HEIGHT + HEADER_VERTICAL_PADDING))
define(TOTAL_WIDTH, 
  eval(LEFT_COLUMN_WIDTH + COLUMN_SEP + RIGHT_COLUMN_WIDTH))

define(PX, [eval($1)px])

/*********************************************************
 * Clear all margins and paddings
 */

html, body, div, span, h1, h2, h3, h4, h5, h6, p, blockquote, pre, a, abbr,
acronym, address, cite, code, del, dfn, em, img, ins, kbd, q, s, samp,
strike, strong, sub, sup, tt, var, center, dl, dt, dd, fieldset, form,
label, legend, table, caption, tbody, tfoot, thead, tr, th, td { 
  margin: 0; 
  padding: 0; 
  border: 0;
  outline: 0; 
}

/*********************************************************
 * Layout
 */

body {
  margin-bottom: 60px; 
}

#wrapper {
  width: PX(TOTAL_WIDTH);
  margin: 30px auto;
}

#content_box {
  width: PX(TOTAL_WIDTH);
  margin-top: PX(TOTAL_HEADER_HEIGHT / 2);
}

#content_area {
  overflow: hidden;
  padding-top: 20px;
  padding-bottom: 30px;
  min-height: 200px;
}

#header {
  padding-top: 15px;
  padding-bottom: 15px;
  padding-left: PX(LEFT_COLUMN_WIDTH);
  height: PX(HEADER_HEIGHT);
  background-image: url('images/modular.png');
  background-position: left;
  background-repeat: no-repeat;
}

#left_column {
  width: PX(LEFT_COLUMN_WIDTH);
  float: left;
}

#right_column {
  width: PX(RIGHT_COLUMN_WIDTH);
  float: right;
  padding-right: 20px;
}

#footer { 
  padding: 0px 11px 0px 11px; 
  font-size: smaller;
}

#footer .left {
  float: left; 
  margin: 0; 
  width: 40%; 
}

#footer .right {
  float: right; 
  margin: 0; 
  width: 40%; 
  text-align: right; 
}

#footer ul { 
  list-style: none; 
  padding: 0; 
  margin: 0; 
}

#footer ul li { 
  float: right; 
  padding : 0; 
  margin: 0 0 0 30px;  
}

.section {
  padding-top: 42px;
  padding-bottom: 5px;
}

.section:first-child {
  padding-top: 0px;
  margin-top: 0px;
}

/*********************************************************
 * Backgrounds and colors
 */

html, body {
  background-color: BASE;
}

#top {
  background: DARK;
}

#header {
  border-top: solid 4px RULE;
  border-bottom: solid 1.5px RULE;
  background-color: BACKGROUND;
  border-left: solid 2px RULE_LIGHT;
  border-right: solid 2px RULE_LIGHT;
}

#content_box {
  border-top: solid 1.5px RULE;
  border-bottom: solid 4px RULE;
  border-left: solid 2px RULE_LIGHT;
  border-right: solid 2px RULE_LIGHT;
}

#content_area {
  background: BACKGROUND;
}

#left_column {
}

#right_column {
}

#bottom {
  background: DARK;
}

#footer a {
  color: DARK;
}

/*********************************************************
 * Navigation
 */

#navigation_container {
  position: fixed;
}

#navigation_container ul { 
  margin: 0px;
  list-style: none; 
  font-size: 12px; 
  line-height: 20px; 
  font-weight: bold; 
}

#navigation_container a { 
  padding-right: 20px;
}

#navigation_container ul li { 
  margin: 0px 0px 0px 0px;
  padding-left: 8px;
}

#navigation_container ul li:hover { 
  border-left: solid 5px RULE;
  padding-left: 3px;
}

/******************************
 * Tables
 */

.pretty {
  width: 90%;
  border-collapse: collapse;
  margin: 0px 0px 0px 30px;
  text-align: left; 
}

.pretty + .pretty {
  margin-top: 0px;
}

.pretty tr:first-child {
  border-style: none;
}

.pretty tbody tr th {
  padding-top: 30px;
  padding-bottom: 15px;
  text-align: left
}

.pretty tbody tr th {
  padding-top: 15px;
  padding-bottom: 7px;
  font-weight: normal;
  border-bottom-width: 1px;
  border-bottom-style: solid;
  border-color: RULE; 
}

.pretty tr {
  color: black;
}

tr.lined {
  border-top-width: 0.5px;
  border-top-style: solid;
  border-top-color: RULE; 
}

.pretty td, .pretty th {
  vertical-align: top;
  padding: 7px 15px 7px 15px;
}

.pretty a:hover {
  background-color: inherit;
}

.pretty tr th {
  margin-top: 1em;
  color: black;
}

.pretty tr {
  border-top-color: black;
  color: black;
}

/*********************************************************
 * Typography
 */

body {
  font-family: "Vera Sans", sans-serif;
}

a, a:visited {
  color: LINK;
  text-decoration: none;
}

a:focus, a:hover  {
  text-decoration: underline;
  background-color: LINK_HOVER_BG;
}

#footer a:hover {
  background-color: inherit ! important;
  text-decoration: underline;
}

#navigation_container a {
  display: block;
  color: DARK;
}

#navigation_container a:hover {
  text-decoration: none;
}

span.light, span.light a  {
  background-color: inherit;
  color: LINK_PHANTOM;
}

span.light:hover, span.light:focus, span.light a:hover, span.light a:focus {
  background-color: LINK_HOVER_BG;
}

define(UL_LEFT_PADDING, 40)

ul {
  margin-left: 0px;
  padding-left: PX(UL_LEFT_PADDING);
  line-height: 24px; 
  list-style-position: outside;
}

h1 { 
  color: DARK;
  font-size: 35px; 
  font-weight: normal; 
}

h2 { 
  color: DARK;
  font-size: 24px; 
  font-weight: normal; 
  margin-bottom: 12px;
  height: 30px;
}

p {
  margin-bottom: 1ex;
}

.cancel {
  text-decoration: line-through;
}

.cancel .fallback { 
  display: none;
}


/* The news toggle */

p.toggle {
  margin-left: 0px;
  text-align: center;
  padding-left: PX(UL_LEFT_PADDING - 12 - 5);
  font-size: x-small;
}

p.toggle img {
  vertical-align: middle;
  padding-right: 6px;
}

/* vim: set filetype=css: */
